diff --git a/debian/control b/debian/control
index 0a72862..2ba83a8 100644
--- a/debian/control
+++ b/debian/control
@@ -11,7 +11,7 @@ Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aptly.git
 Package: aptly
 Architecture: any
 Depends: bzip2, xz-utils, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
-Suggests: graphviz
+Suggests: graphviz, xdg-utils
 Description: Swiss army knife for Debian repository management
  It offers several features making it easy to manage Debian package
  repositories:
diff --git a/debian/patches/open_image_viewer.patch b/debian/patches/open_image_viewer.patch
new file mode 100644
index 0000000..3da0803
--- /dev/null
+++ b/debian/patches/open_image_viewer.patch
@@ -0,0 +1,11 @@
+--- a/src/github.com/smira/aptly/cmd/graph.go
++++ b/src/github.com/smira/aptly/cmd/graph.go
+@@ -84,7 +84,7 @@
+ 	} else {
+ 		fmt.Printf("Rendered to %s file: %s, trying to open it...\n", format, tempfilename)
+ 
+-		_ = exec.Command("open", tempfilename).Run()
++		_ = exec.Command("xdg-open", tempfilename).Run()
+ 	}
+ 
+ 	return err
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..eefc16c
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1 @@
+open_image_viewer.patch
